
/* buttons */
.blu_btn{
    border:1px solid #141D49;
    background-color:#141D49;
    display:inline-block;
    max-width:fit-content;
    padding:10px 24px;
    color:#fff;
    font-size:14px;
    line-height:18px;
    position:relative;
    -webkit-transition:all 0.3s ease-in-out;
    transition:all 0.3s ease-in-out;
}
.blu_btn::before {
    content: "";
    background:#fff;
    color:#fff;
    width: 100%;
    height: 0;
    position: absolute;
    left: 0;
    top: 0;
    transition: all 0.3s ease 0s;
    z-index:0;
  }
  .blu_btn_lbl{
    color:#fff;
    font-size:14px;
    font-weight:500;
    line-height:18px;
    position:relative;
    z-index:1;
  }
  .blu_btn:hover::before {
    height: 100%;
  }
  .blu_btn:hover .blu_btn_lbl{
    color:#141D49;
  }
.wht_btn{
    border:1px solid #141D49;
    background-color:#fff;
    display:inline-block;
    max-width:fit-content;
    padding:10px 24px;
    color:#141D49;
    font-size:14px;
    line-height:18px;
    position:relative;
    -webkit-transition:all 0.3s ease-in-out;
    transition:all 0.3s ease-in-out;
}
.wht_btn::before {
    content: "";
    background:#141D49;
    color:#fff;
    width: 100%;
    height: 0;
    position: absolute;
    left: 0;
    top: 0;
    transition: all 0.3s ease 0s;
    z-index:0;
  }
  .wht_btn_lbl{
    color:#141D49;
    font-size:14px;
    font-weight:500;
    line-height:18px;
    position:relative;
    z-index:1;
  }
  .wht_btn:hover::before {
    height: 100%;
  }
  .wht_btn:hover .wht_btn_lbl{
    color:#fff;
  }
  /* buttons ends */
  
.more_btn{
  background:url(../img/tsm_arrow_lg.svg) no-repeat right center;
  color:transparent;
  font-size:14px;
  font-weight:400;
  line-height:22px;
  padding:0;
  display:flex;
  align-items:center;
  white-space:nowrap;
  width:20px;
}
.more_btn:hover{
  padding:0 32px 0 0;
  color:#000;
  width:110px
}
/* header buttons starts */
.hdr_btn{
    border:1px solid #fff;
    background-color:transparent;
    display:inline-block;
    max-width:fit-content;
    padding:10px 24px;
    color:#141D49;
    font-size:14px;
    line-height:18px;
    position:relative;
    -webkit-transition:all 0.3s ease-in-out;
    transition:all 0.3s ease-in-out;
}
.hdr_btn::before {
    content: "";
    background:#141D49;
    color:#fff;
    width: 100%;
    height: 0;
    position: absolute;
    left: 0;
    top: 0;
    transition: all 0.3s ease 0s;
    z-index:0;
  }
  .hdr_btn_lbl{
    color:#fff;
    font-size:14px;
    font-weight:500;
    line-height:18px;
    position:relative;
    z-index:1;
  }
  .hdr_btn:hover::before {
    height: 100%;
  }
  .hdr_btn:hover .hdr_btn_lbl, .header.fixed .hdr_btn:hover .hdr_btn_lbl{
    color:#fff;
  }
  /* header buttons ends */
  .header{
    background-color:transparent;
    position:fixed;
    top:0;
    z-index:111;
    width:100%;
    transition:all ease-in-out 0.3s;
    -webkit-transition:all ease-in-out 0.3s;
  }
  .header.fixed{
    background-color:#fff;
    border-bottom:1px solid #CCCCCC;
  }
  .header.fixed .hdr_top_wrp{
    padding:10px 0;
  }
  .header.fixed .hdr_nav_lnk{
    color:#141D49;
  }
  .header.fixed .hdr_btn{
    border:1px solid #141D49;
    background-color:#fff;
  }
  .header.fixed .hdr_btn_lbl{
    color:#141D49;
  }
  .header.fixed .hdr_lgo{
    color:#141D49;
  }
  .hdr_top_wrp{
    align-items:center;
    display:flex;
    padding:16px 0;
    gap:16px;
    justify-content:space-between;
    width:100%;
    transition:all ease-in-out 0.3s;
    -webkit-transition:all ease-in-out 0.3s;
}
.hdr_top_lhs{
  margin:0 auto 0 0;
}
.hdr_top_rhs{
    align-items:center;
    display:flex;
    justify-content:flex-end;
    column-gap:16px;
}
.hdr_lgo{
    align-items:center;
    color:#fff;
    display:flex;
    flex-shrink:0;
}
.hdr_lgo img{
    max-height:46px;
}
.hdr_nav_ul{
    align-items:center;
    display:flex;
    gap:24px;
    height:100%;
}
.hdr_nav_li{
    display:flex;
    height:100%;
    position:relative;
}
.hdr_nav_lnk{
  align-items:center;
  display:flex;
    color:#fff;
    font-size:14px;
    font-weight:500;
    line-height:normal;
    padding:15px 0px;
    position:relative;
    height:auto;
    white-space:nowrap;
    transition:all ease-in-out 0.3s;
    -webkit-transition:all ease-in-out 0.3s;
}
.has_menu .hdr_nav_lnk{
  padding-right:15px;
}
.has_menu .hdr_nav_lnk::after{
  content:'';
  position: absolute;
  border: solid #fff;
  border-width: 0 2px 2px 0;
  display: inline-block;
  padding: 3px;
  top:18px;
  right:0;
  z-index: 1;
  transform: rotate(45deg);
  -webkit-transform: rotate(45deg);
  transition:all ease-in-out 0.3s;
  -webkit-transition:all ease-in-out 0.3s;;
}
.header.fixed .has_menu .hdr_nav_lnk::after{
  border-color:#141D49;
}
.has_menu .hdr_nav_lnk.active::after{
  content:'';
  top:22px;
  transform: rotate(-135deg);
  -webkit-transform: rotate(-135deg);
}
.hdr_nav_lnk:before {
  content:'';
  left: 0;
  bottom:5px;
  width: 100%;
  height: 2px;
  background: #fff;
  position: absolute;
  transform: scaleX(0);
  -webkit-transition:all ease-in-out 0.3s;
  -ms-transition:all ease-in-out 0.3s;
  -o-transition:all ease-in-out 0.3s;
  transition:all ease-in-out 0.3s;
}
.hdr_nav_lnk:hover:before {
  transform: scaleX(1);
}
.header.fixed .hdr_nav_lnk:before {
  background: #141D49;
}

.hdr_drp_ul{
  background-color:#ededed;
  color:#141D49;
  display:none;
  position:absolute;
  left:0;
  top:48px;
  padding:0px;
  min-width:130px;
  height: auto;
  width: 100%;
  z-index: 111;
}
.hdr_drp_li:last-child .hdr_drp_lnk{
  border-bottom:0;
}
.hdr_drp_lnk{
  border-bottom:1px solid #ccc;
  color:#141D49;
  display:flex;
  font-size:14px;
  line-height:normal;
  padding:12px 10px;
  width:100%;
}
.hdr_drp_lnk:hover{
  background-color:#141D49;
  color:#fff;
}
.mnu_brg_icn{
  position: relative;
  display: none;
  cursor: pointer;
  user-select: none;
  z-index: 10;
  width: 1.6rem;
  height: 1.15rem;
  border: none;
  outline: none;
  margin: 0 5px 0 0;
  background: none;
  visibility: visible;
  transform: rotate(0deg);
  transition: 0.35s ease;
}

.mnu_brg_lin {
position: absolute;
display: block;
left: 0;
width: 100%;
height:3px;
border: none;
border-radius:2px;
outline: none;
opacity: 1;
transform: rotate(0deg);
background-color:#fff;
transition: 0.25s ease-in-out;
}
.mnu_brg_lin:nth-child(1) {
top: 0px;
}
.mnu_brg_lin:nth-child(2) {
top: 0.5rem;
width: 80%;
}
.mnu_brg_lin:nth-child(3) {
top: 1rem;
width:60%;
}
.mnu_nav_opn .mnu_brg_lin:nth-child(1) {
  background-color:#141D49;
transform: rotate(45deg) translate(5px, 5px);
}

.mnu_nav_opn .mnu_brg_lin:nth-child(2) {
  background-color:#141D49;
opacity: 0;
}

.mnu_nav_opn .mnu_brg_lin:nth-child(3) {
  background-color:#141D49;
transform: rotate(-45deg) translate(6px, -6px);
width:100%;
}
.header.fixed .mnu_brg_lin{
  background-color:#141D49;
}
.mnu_nav_opn .hdr_btn{
  border-color:#141D49;
}
.mnu_nav_opn .hdr_btn_lbl{
  color:#141D49;
}

/* hamburger icon starts */
.ham_brg_icn{
  display:flex;
  align-items:center;
  justify-content:center;
  cursor: pointer;
  user-select: none;
  z-index: 10;
  width:40px;
  height:40px;
  border: none;
  outline: none;
  margin:0;
  background:#fff;
  padding:10px;
  visibility: visible;
  transform: rotate(0deg);
  transition: 0.35s ease;
}
.ham_brg_icn:hover{
  background-color:#141D49;
}
.ham_brg_dsk{
  display:flex;
}
.ham_brg_mob{
  display:none;
}
.ham_brg_box{
  width:40px;
  height:12px;
  position:relative;
}
.ham_brg_lin {
position: absolute;
display: block;
left: 0;
width: 100%;
height:2px;
border: none;
border-radius:2px;
outline: none;
opacity: 1;
transform: rotate(0deg);
background-color:#141D49;
-webkit-transition:all ease-in-out 0.3s;
-ms-transition:all ease-in-out 0.3s;
-o-transition:all ease-in-out 0.3s;
transition:all ease-in-out 0.3s;
}
.ham_brg_icn:hover .ham_brg_lin{
  background-color:#fff;
}
.ham_brg_lin:nth-child(1) {
top: 0px;
}
.ham_brg_lin:nth-child(2) {
top:5px;
}
.ham_brg_lin:nth-child(3) {
  bottom:0;
  top:auto;
}
/* hamburger icon ends */

/* dropdown starts */

.drp_mnu_ul {
  display: none;
  position: absolute;
  background-color:#fff;
  top: 100%;
  left: 0;
  min-width: 250px;
  padding:6px 0px;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}
.drp_mnu_li{
  -webkit-transition:all ease-in-out 0.3s;
  -ms-transition:all ease-in-out 0.3s;
  -o-transition:all ease-in-out 0.3s;
  transition:all ease-in-out 0.3s;
}
.drp_mnu_li:hover .drp_mnu_lnk{
  background-color:#dedfe5;
}
.drp_mnu_lnk{
  color:#170F49;
  display:flex;
  font-size:14px;
  font-weight:400;
  line-height:22px;
  padding:8px 20px;
  width:100%;
}
.has_submenu {
  position: relative;
}
.submenu_btn{
  position: relative;
}
.submenu_btn::after{
  content:'';
  position:absolute;
  top:15px;
  right: 12px;
  border: solid #141D49;
  border-width: 0 2px 2px 0;
  display: inline-block;
  padding: 3px;
  transform: rotate(-45deg);
  -webkit-transform: rotate(-45deg);
  -webkit-transition:all ease-in-out 0.3s;
  -ms-transition:all ease-in-out 0.3s;
  -o-transition:all ease-in-out 0.3s;
  transition:all ease-in-out 0.3s;
}
.submenu {
  display: none;
  position: absolute;
  background-color:#fff;
  top:0;
  left:100%;
  min-width: 300px;
  padding:6px 0px;
  box-shadow: 0px 4px 6px rgba(0, 0, 0, 0.1);
}
.sub_mnu_li{
  -webkit-transition:all ease-in-out 0.3s;
  -ms-transition:all ease-in-out 0.3s;
  -o-transition:all ease-in-out 0.3s;
  transition:all ease-in-out 0.3s;
}
.sub_mnu_li:hover .sub_mnu_lnk{
  background-color:#dedfe5;
}
.sub_mnu_lnk{
  color:#170F49;
  display:flex;
  font-size:14px;
  font-weight:400;
  line-height:22px;
  padding:8px 20px;
  width:100%;
}
/* RIGHT NAV */
.rgt_nav_wrp{
  background-color:#fff;
  display:none;
  position:fixed;
  right:0;
  top:0;
  bottom:0;
  max-width:300px;
  padding:40px;
  height:100vh;
  width:100%;
  z-index:111;
}
.rgt_nav_cnt{
  display:flex;
  flex-direction:column;
  justify-content:space-between;
  height:100%;
}
.rgt_nav_ul{
  display:flex;
  flex-direction:column;
  gap:16px;
  overflow:auto;
  margin:0 0 20px;
}
.rgt_nav_li{
  display:flex;
}
.rgt_nav_lnk{
  border-bottom:1px solid #DEDEDE;
  display:flex;
  color:#000000;
  font-size:16px;
  font-weight:400;
  line-height:22px;
  padding:0 0 16px;
  width:100%;
}
.rgt_nav_li:last-child .rgt_nav_lnk{
  border-bottom:0;
  padding-bottom:0;
}
.rgt_nav_lnk:hover{
  color:#095395;
  border-color:#095395;
}
.rgt_nav_scl{
  background-color:#F5F5F5;
  border-radius:8px;
  align-items:center;
  display:flex;
  gap:0px;
  margin:auto auto 0;
  padding:0 10px;
}
.rgt_nav_icn{
  color:#000000;
  font-size:18px;
  align-items:center;
  display:flex;
  justify-content:center;
  padding:5px;
  height:42px;
  width:42px;
}
.rgt_nav_icn:hover{
  background-color:#ddd;
}
.rgt_nav_cls{
  align-self:flex-end;
  cursor:pointer;
  display:flex;
  text-align:right;
  justify-content:flex-end;
  margin:0 0 10px;
}
.rgt_nav_cls:hover{
  color:#095395;
}

@media (min-width: 768px) {
  .hdr_nav_lnk:hover::after{
    content:'';
    top:22px;
    transform: rotate(-135deg);
    -webkit-transform: rotate(-135deg);
    border-color:#fff;
  }
  .hdr_nav_li:hover .drp_mnu_ul {
    display: block;
  }
  .hdr_nav_li:hover > .drp_mnu_ul {
    display: block;
  }
  .has_submenu:hover > .submenu {
    display: block;
  }
}
@media (max-width:1199px) {
.ham_brg_dsk{
  display:none;
}
.ham_brg_mob{
  display:flex;
  margin:0 0 0 16px;
  order:1;
}
.mnu_nav_opn{
    overflow:hidden;
}
.mnu_nav_opn .header{
  background-color:#fff;
  left:0;
  right:0;
  height:100%;
  width:100%;
}
.mnu_brg_icn{
  display:block;
  margin:0 12px 0 0;
}
.hdr_nav_ul{
  flex-direction:column;
  align-items:flex-start;
  height:auto;
  width:100%;
  -webkit-transform: scale(1.15) translateY(-30px);
  -moz-transform: scale(1.15) translateY(-30px);
  -ms-transform: scale(1.15) translateY(-30px);
  -o-transform: scale(1.15) translateY(-30px);
  transform: scale(1.15) translateY(-30px);
  -webkit-transition: transform 0.5s cubic-bezier(0.4, 0.01, 0.165, 0.99), opacity 0.6s cubic-bezier(0.4, 0.01, 0.165, 0.99);
  -moz-transition: transform 0.5s cubic-bezier(0.4, 0.01, 0.165, 0.99), opacity 0.6s cubic-bezier(0.4, 0.01, 0.165, 0.99);
  -ms-transition: transform 0.5s cubic-bezier(0.4, 0.01, 0.165, 0.99), opacity 0.6s cubic-bezier(0.4, 0.01, 0.165, 0.99);
  -o-transition: transform 0.5s cubic-bezier(0.4, 0.01, 0.165, 0.99), opacity 0.6s cubic-bezier(0.4, 0.01, 0.165, 0.99);
  transition: transform 0.5s cubic-bezier(0.4, 0.01, 0.165, 0.99), opacity 0.6s cubic-bezier(0.4, 0.01, 0.165, 0.99);
  transition-delay: 0.20s;
}
.mnu_nav_opn .hdr_nav_ul{
  opacity:1;
  -webkit-transform: scale(1) translateY(0px);
  -moz-transform: scale(1) translateY(0px);
  -ms-transform: scale(1) translateY(0px);
  -o-transform: scale(1) translateY(0px);
  transform: scale(1) translateY(0px);
}
.hdr_nav_li{
  flex-direction:column;
  width:100%;
}
.mnu_nav_opn .hdr_lgo{
  color:#141D49;
}
.hdr_nav_lnk{
  color:#141D49;
  padding:0;
  height:0;
  width:0;
}
.has_menu .hdr_nav_lnk::after{
  border-color:#141D49;
  right:10px;
}
.hdr_drp_ul{
  position:static;
}
.drp_mnu_li {
  border-bottom: 1px solid #eee;
}
.hdr_drp_lnk{
  padding:12px 40px;
}
.submenu{
  position:static;
}
.sub_mnu_lnk{
  padding:8px 20px 8px 30px;
}
.submenu_btn.active::after{
  transform: rotate(-135deg);
  -webkit-transform: rotate(-135deg);
}
.mnu_nav_opn .hdr_nav_lnk{
  padding:10px 10px;
  height:auto;
  width:100%;
}
.hdr_top_wrp{
  padding:12px 0px;
  justify-content:flex-start;
  flex-wrap:wrap;
  column-gap:0;
  row-gap:12px;
}
.header.fixed .hdr_top_wrp{
  padding:10px 0px;
}
.hdr_top_rhs{
  flex-wrap:wrap;
  justify-content:flex-start;
  row-gap:10px;
}
.hdr_top_mid{
  margin:0;
  height:0;
  opacity:0;
  visibility:hidden;
  -webkit-transition: all .2s cubic-bezier(0.4, 0, 1, 1);
  -moz-transition: all .2s cubic-bezier(0.4, 0, 1, 1);
  -ms-transition: all .2s cubic-bezier(0.4, 0, 1, 1);
  -o-transition: all .2s cubic-bezier(0.4, 0, 1, 1);
  transition: all .2s cubic-bezier(0.4, 0, 1, 1);
}
.mnu_nav_opn .hdr_top_mid{
  order:1;
  width:100%;
  opacity:1;
  visibility:visible;
  height:calc(100vh - 90px);
}
}
@media (max-width:767px) {
  .hdr_top_rhs{
    display:none;
    margin:20px 0 0;
    width:100%;
  }
  .mnu_nav_opn .hdr_top_rhs{
    display:flex;
  }
  .ham_brg_mob{
    order:0;
  }
  .drp_mnu_ul{
    position:relative;
  }
}